1. Parking
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
      GET
    • Groups (Basic auth)
      GET
    • Locations (Basic auth)
      GET
    • Desks (Basic auth)
      GET
    • Bookings & Attendance (Basic auth)
      GET
    • Presence (Basic auth)
      GET
    • User Actions Log (Basic auth)
      GET
    • Events (Basic auth)
      GET
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
    • Events
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
      GET
    • Retrieve parking bookings (Basic auth)
      GET
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Parking

Retrieve parking bookings (Basic auth)

GET
/v1/parking/booking-report/basic
Retrieve parking bookings for a location on a given day.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/parking/booking-report/basic?locationId=undefined&day=undefined&parkingAreaIds=undefined&parkingZoneIds=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "locationId": "string",
    "day": 0,
    "areas": [
        {
            "parkingAreaId": "string",
            "name": "string",
            "zones": [
                {
                    "parkingZoneId": "string",
                    "name": "string",
                    "spots": [
                        {
                            "parkingSpotId": "string",
                            "name": "string",
                            "bookingId": "string",
                            "tags": [
                                "accessible"
                            ],
                            "principal": {
                                "principalId": "string",
                                "principalType": "user",
                                "name": "string",
                                "email": "string"
                            },
                            "vehicleRegistrations": [
                                "string"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-09-01 06:23:57
Previous
Retrieve parking bookings
Next
DWEventsResponseDto
Built with